# Class goog.net.XmlHttpFactory

code »

Abstract base class for an XmlHttpRequest factory.

## Constructor

goog.net.XmlHttpFactory ( )
Show:Public Protected Private

## Instance Methods

code »createInstance ( ) ⇒ `!(XMLHttpRequest|GearsHttpRequest)`

Returns
A new XMLHttpRequest instance.

code »getOptions ( ) ⇒ `Object`

Returns
Options describing how xhr objects obtained from this factory should be used.

code »internalGetOptions ( ) ⇒ `Object`

Override this method in subclasses to preserve the caching offered by getOptions().

Returns
Options describing how xhr objects obtained from this factory should be used.

## Instance Properties

code »cachedOptions_ : `Object`

Cache of options - we only actually call internalGetOptions once.